LiveFox.Click = {
  Test: function (event) {
    try {

      netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
      var url = Components.classes["@mozilla.org/network/standard-url;1"].createInstance();
      url = url.QueryInterface(Components.interfaces.nsIURL);
      url.spec = "chrome://livefox/content/sound/wav.wav";
      var sample = Components.classes["@mozilla.org/sound;1"].createInstance( );
      sample = sample.QueryInterface(Components.interfaces.nsISound);
      sample.play(url)
      
      alert("Teste!!");
    } catch(e) {
      LiveFox.Log.warn("Click.Test:" + e);
    }
  },
  AddMatch: function (event) {
    var matchId = parseInt(document.getElementById("boxaddmatch").value, 10);
    if (matchId) {
      LiveFox.AddLiveMatch(matchId);
    }
  },
  Login: function (event) {
    Login.username = document.getElementById("username").value;    
    Login.securitycode = document.getElementById("security_code").value;
    if (Login.username == "" || Login.securitycode == "") {
      return;
    };
    LiveFox.getRecommendedServer();
  },
  Logout: function (event) {
    LiveFox.Logout();
  },
  AddMatchByTeam: function (event) {
    var teamId = parseInt(document.getElementById("boxaddmatch").value, 10);
    if(teamId) {
      Matches.HTTPGetByTeam(teamId);
    }
  },
  ClearLog: function() {
    var logElement;
    logElement = document.getElementById("logbox");
    logElement.setAttribute("value", "");
  },
  window: function() {
    var id=this.getAttribute("id").split("_");
    LiveFox.DOM.window.set(id[1], LiveFox.DOM.mode[id[0]]);
  },
  over: function() {
    var id=this.getAttribute("id").split("_");
    var windowmode=Match.List["_"+id[1]].window.mode;
    var mode = LiveFox.DOM.mode[id[0]];
    if (mode == windowmode) return;
    switch (mode) {
      case LiveFox.DOM.mode.close:
        this.setAttribute("src", LiveFox.Image.window.close.on);
        break;
      case LiveFox.DOM.mode.shade:
        this.setAttribute("src", LiveFox.Image.window.shade.on);
        break;
      case LiveFox.DOM.mode.minimize:
        this.setAttribute("src", LiveFox.Image.window.minimize.on);
        break;
      case LiveFox.DOM.mode.maximize:
        this.setAttribute("src", LiveFox.Image.window.maximize.on);
        break;
    }
  },
  out: function() {
    var id=this.getAttribute("id").split("_");
    var windowmode=Match.List["_"+id[1]].window.mode;
    var mode = LiveFox.DOM.mode[id[0]];
    if (mode == windowmode) return;
    switch (mode) {
      case LiveFox.DOM.mode.close:
        this.setAttribute("src", LiveFox.Image.window.close.off);
        break;
      case LiveFox.DOM.mode.shade:
        this.setAttribute("src", LiveFox.Image.window.shade.off);
        break;
      case LiveFox.DOM.mode.minimize:
        this.setAttribute("src", LiveFox.Image.window.minimize.off);
        break;
      case LiveFox.DOM.mode.maximize:
        this.setAttribute("src", LiveFox.Image.window.maximize.off);
        break;
    }
  },
  tip: function() {
    var id=this.getAttribute("id").split("_")[1];
    LiveFox.DOM.tougleTip(id);
  },
  TougleMatch: function() {
    var matchId = this.getAttribute("match_id");
    LiveFox.DOM.tougleView(matchId);
  },
  addTeamToFriendsList: function(teamId) {
    Friends.add(teamId);
  },
  AddButtonListeners: function() {
    var elem;
    
    elem = document.getElementById("buttonAddTeam");
    elem.addEventListener('command', LiveFox.Click.AddMatchByTeam, true);
  
    elem = document.getElementById("buttonAddMatch");
    elem.addEventListener('command', LiveFox.Click.AddMatch, true);
  
    elem = document.getElementById("button_login");
    elem.addEventListener('command', LiveFox.Click.Login, true);
    
  },
  winboxOpen: function() {
    var name=this.id.split("_")[1];
    LiveFox.winboxOpenByName(name);
  },
  winboxShade: function() {
    var name=this.id.split("_")[1];
    LiveFox.winboxShadeByName(name);
  },

  removeFriend: function() {
    Friends.remove();
  },
  addFriendMatch: function() {
    Friends.addMatch();
  },
  moveUpFriend: function() {
    Friends.moveUp();
  },
  moveDownFriend: function() {
    Friends.moveDown();
  }
};






